/getAvailability

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description:

This functionality allow you to get the availability of a specified period.
Some clients allow to make a reservation for a day, others require you to also select a time (for example het Van Gogh Museum). This depends on what availability type is set within the system for this client.

HMAC calculation
Base64 encode - SHA256 (apiKey + endDate + environment + showTicketsAllocation + startDate + userId)

  • Sort the sign data alphabetical ascending, you can also find the sequence on the concerned API specification page.

Please note
There are three types of availability:

  • Timeslots
  • Date
  • Period
Body Params
string
required

Your public apiKey needs to be included in every request.

string
enum
required

"test" or "production"

Allowed:
int32
required

The userId is a reference to the user (museum / attraction). The userId can be requested via getAvailableUsers and can be cached in your application.

date
required

Date format: yyyy-mm-dd.

date
required

Date format: yyyy-mm-dd.

int32
required

When set to 1 the response will include the amount of available tickets instead of a boolean.

string
required

The HMACKey is calculated based on the input fields.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json